// ignore_for_file: null_check_always_fails

import 'package:special_equipment_flutter/model/login_bo.dart';

class EntityFactory {
  static T generateOBJ<T>(json) {
    if (json == null) {
      return null!;
    }
//可以在这里加入任何需要并且可以转换的类型，例如下面
    else if (T.toString() == "LoginBo") {
      return LoginBo.fromJson(json) as T;
    } else {
      return json as T;
    }
  }
}
